Subject: Re: bug#61923: 30.0.50; go-ts-mode, multiline raw-string-literal wrong indentation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Mar 2023 09:04:28 +0200

> From: Gleb Zakharov <[email-masked]>
> Date: Thu, 02 Mar 2023 17:16:34 +0000
> 
> In Go, I sometimes work with code written in another language.
> I embed it into Go as string literals, for example, SQL code.
> 
> When I type a multiline string, I notice that tree-sitter indents it by
> usual Go rules, but this feature should be turned off inside the string.

I don't think your conclusion is correct.  This use case, and others
like it, are supposed to be handled by features that support multiple
major modes in the same buffer.  Tweaking the language indentation
rules to cater for these quite specialized use cases is not TRT, IMO,
because it is likely to contradict what the majority of language users
want and expect.

So I agree we should support these use cases, just not by changing the
general indentation rules of the language inside strings.